%define real_version 20060501

Name:          kalgebra
Version:       0.5
Release:       4%{?dist}
Summary:       MathML-based graph calculator

License:       GPLv2
Group:         Applications/Engineering
URL:           http://%{name}.berlios.de

Source:        http://download.berlios.de/kalgebra/kalgebra-%{real_version}.tar.bz2
BuildRoot:     %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

Patch0:        %{name}-%{version}-autotools.patch

BuildRequires: kdelibs-devel, gettext, automake

%description
KAlgebra is a MathML-based graph calculator.
Besides it was initially mathml oriented now it can be used
by everyone with little mathematic knowledge.

%prep
%setup -q -n %{name}

# fix for autoconf >= 2.6 & automake >= 2.10 on admin/cvs.sh
%if "%{?fedora}" > "6"
%patch -p0 -b .autotools
%endif

%{__make} -f admin/Makefile.common cvs

%build

%configure --disable-rpath
%{__make} %{?_smp_mflags}

%install
%{__rm} -rf %{buildroot}
%{__make} DESTDIR=%{buildroot} install

desktop-file-install --vendor fedora             \
  --add-category "Math"                          \
  --dir %{buildroot}%{_datadir}/applications/    \
  --delete-original                              \
  %{buildroot}%{_datadir}/applnk/Utilities/%{name}.desktop

## File lists
# locale's
%find_lang %{name} || touch %{name}.lang
# HTML (1.0)
HTML_DIR=$(kde-config --expandvars --install html)
if [ -d %{buildroot}$HTML_DIR ]; then
for lang_dir in %{buildroot}$HTML_DIR/* ; do
  if [ -d $lang_dir ]; then
    lang=$(basename $lang_dir)
    echo "%lang($lang) $HTML_DIR/$lang/*" >> %{name}.lang
    # replace absolute symlinks with relative ones
    pushd $lang_dir
      for i in *; do
        [ -d $i -a -L $i/common ] && rm -f $i/common && ln -sf ../common $i/common
      done
    popd
  fi
done
fi

%clean
%{__rm} -rf %{buildroot}

%post
touch --no-create %{_datadir}/icons/hicolor || :
%{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :

%postun
touch --no-create %{_datadir}/icons/hicolor || :
%{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :

%files -f %{name}.lang
%defattr(-,root,root,-)
%doc AUTHORS ChangeLog COPYING
%{_bindir}/%{name}
%{_datadir}/icons/crystalsvg/*/*/%{name}.png
%{_datadir}/applications/fedora-%{name}.desktop
%{_datadir}/apps/%{name}/

%Changelog
* Thu Aug 23 2007 Chitlesh Goorah  <chitlesh [AT] fedoraproject DOT org> - 0.5-4
- mass rebuild for fedora 8 - ppc

* Thu Feb 01 2007 Chitlesh Goorah <chitlesh [AT] fedoraproject DOT org> -  0.5-3
- Fix presence in gnome menu

* Sat Jan 27 2007 Chitlesh Goorah <chitlesh [AT] fedoraproject DOT org> -  0.5-2
- dropped duplicate files

* Sat Jun 03 2006 Chitlesh Goorah <chitlesh [AT] fedoraproject DOT org> -  0.5-1
- Initial package.
